import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		createman: commonLogic.appcommonhandle("建立人",null),
		ibizbookname: commonLogic.appcommonhandle("图书名称",null),
		ibizbookid: commonLogic.appcommonhandle("图书标识",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		author: commonLogic.appcommonhandle("图书作者",null),
		price: commonLogic.appcommonhandle("图书价格",null),
		press: commonLogic.appcommonhandle("图书出版社",null),
		type: commonLogic.appcommonhandle("图书类型",null),
		booknumber: commonLogic.appcommonhandle("图书数量",null),
		subtext: commonLogic.appcommonhandle("图书描述",null),
		lendouttime: commonLogic.appcommonhandle("借出日期",null),
		returntime: commonLogic.appcommonhandle("归还日期",null),
		icon: commonLogic.appcommonhandle("图标",null),
		sailstate: commonLogic.appcommonhandle("图书销售状态",null),
		borrowstatus: commonLogic.appcommonhandle("图书借阅状态",null),
		stepstatus: commonLogic.appcommonhandle("步骤",null),
		borrower: commonLogic.appcommonhandle("借阅人",null),
		borrowway: commonLogic.appcommonhandle("借阅方式",null),
		returnlib: commonLogic.appcommonhandle("归还图馆",null),
		borrowerid: commonLogic.appcommonhandle("借阅人ID",null),
		borrower1: commonLogic.appcommonhandle("借阅人1",null),
		borrower1_id: commonLogic.appcommonhandle("借阅人1_ID",null),
		borrower2: commonLogic.appcommonhandle("借阅人2",null),
		borrower2_id: commonLogic.appcommonhandle("借阅人2_ID",null),
		borrower3: commonLogic.appcommonhandle("借阅人3",null),
		borrower3_id: commonLogic.appcommonhandle("借阅人3_ID",null),
		tag: commonLogic.appcommonhandle("标签",null),
	},
		views: {
			treeview: {
				caption: commonLogic.appcommonhandle("Tree Main State",null),
				title: commonLogic.appcommonhandle("图书树视图（主状态）",null),
			},
			internalfuncgridview: {
				caption: commonLogic.appcommonhandle("Open Application View",null),
				title: commonLogic.appcommonhandle("表格内置功能",null),
			},
			gridexpview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书表格导航视图",null),
			},
			haspanelkanbanview: {
				caption: commonLogic.appcommonhandle("Item Layout Panel",null),
				title: commonLogic.appcommonhandle("图书看板视图（嵌入视图面板）",null),
			},
			testcldataview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("测试视图布局面板（卡片）",null),
			},
			usr6gridview_layout: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书表格视图",null),
			},
			usr7gridview: {
				caption: commonLogic.appcommonhandle("Table Column Update",null),
				title: commonLogic.appcommonhandle("表格列更新",null),
			},
			interfunctreeview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书树视图（树表格）",null),
			},
			dashboardview: {
				caption: commonLogic.appcommonhandle("Entity Data Kanban View",null),
				title: commonLogic.appcommonhandle("实体数据看板视图",null),
			},
			usr4dataview: {
				caption: commonLogic.appcommonhandle("Item Layout Panel",null),
				title: commonLogic.appcommonhandle("图书数据视图（项布局面板）",null),
			},
			editview4: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书编辑视图",null),
			},
			testcltreeview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("测试自定义面板（树视图）",null),
			},
			usr2calendarview: {
				caption: commonLogic.appcommonhandle("Timeline Style",null),
				title: commonLogic.appcommonhandle("图书日历视图（时间轴）",null),
			},
			usr2listview: {
				caption: commonLogic.appcommonhandle("Custom Plug In",null),
				title: commonLogic.appcommonhandle("图书列表视图",null),
			},
			usr2editview_layout: {
				caption: commonLogic.appcommonhandle("Data Selection View",null),
				title: commonLogic.appcommonhandle("实体数据选择视图",null),
			},
			valuerulesgridview: {
				caption: commonLogic.appcommonhandle("Table Value Rules",null),
				title: commonLogic.appcommonhandle("表格值规则",null),
			},
			usr2meditview9: {
				caption: commonLogic.appcommonhandle("Entity Multi Form Edit View",null),
				title: commonLogic.appcommonhandle("实体多表单编辑视图",null),
			},
			interfunceditview: {
				caption: commonLogic.appcommonhandle("Entity Edit View",null),
				title: commonLogic.appcommonhandle("图书编辑视图（内置功能）",null),
			},
			usr4calendarview: {
				caption: commonLogic.appcommonhandle("Custom Plug In",null),
				title: commonLogic.appcommonhandle("图书日历视图（自定义插件）",null),
			},
			editview2: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书编辑视图",null),
			},
			wizardiwithstateview: {
				caption: commonLogic.appcommonhandle("State Properties",null),
				title: commonLogic.appcommonhandle("状态属性",null),
			},
			usr4gridview: {
				caption: commonLogic.appcommonhandle("Current Page Aggregation",null),
				title: commonLogic.appcommonhandle("表格当前页本地聚合",null),
			},
			usr6gridview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书表格视图",null),
			},
			usr5calendarview: {
				caption: commonLogic.appcommonhandle("Calendar Main State",null),
				title: commonLogic.appcommonhandle("图书日历视图（主状态）",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书编辑视图",null),
			},
			interfunckanbanview_layout: {
				caption: commonLogic.appcommonhandle("Entity Kanban View",null),
				title: commonLogic.appcommonhandle("实体看板视图（内置功能）",null),
			},
			usr3calendarview: {
				caption: commonLogic.appcommonhandle("Item Layout Panel",null),
				title: commonLogic.appcommonhandle("图书日历视图（项布局面板）",null),
			},
			optionview: {
				caption: commonLogic.appcommonhandle("Entity Options Operations View",null),
				title: commonLogic.appcommonhandle("实体选项操作视图",null),
			},
			treegridexview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书树表格视图",null),
			},
			roweditgridview: {
				caption: commonLogic.appcommonhandle("TableRowEditing",null),
				title: commonLogic.appcommonhandle("表格行编辑",null),
			},
			optionview_layout: {
				caption: commonLogic.appcommonhandle("Entity Options Operations View",null),
				title: commonLogic.appcommonhandle("实体选项操作视图",null),
			},
			interfunceditview_layout: {
				caption: commonLogic.appcommonhandle("Entity Edit View",null),
				title: commonLogic.appcommonhandle("图书编辑视图（内置功能）",null),
			},
			testclcalendarview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("测试日历视图布局面板",null),
			},
			testcllistview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("测试视图布局面板",null),
			},
			usr2meditview9_layout: {
				caption: commonLogic.appcommonhandle("Entity Multi Form Edit View",null),
				title: commonLogic.appcommonhandle("实体多表单编辑视图",null),
			},
			usr3editview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书编辑视图",null),
			},
			groupbycodelistkanbanview: {
				caption: commonLogic.appcommonhandle("Code Table Grouping",null),
				title: commonLogic.appcommonhandle("图书看板视图（代码表分组）",null),
			},
			exportandimportgridview: {
				caption: commonLogic.appcommonhandle("Data Import And Export",null),
				title: commonLogic.appcommonhandle("图书表格视图(数据导入导出)",null),
			},
			autogrouplistview: {
				caption: commonLogic.appcommonhandle("Automatic Grouping",null),
				title: commonLogic.appcommonhandle("图书列表视图（自动分组）",null),
			},
			usr3listview: {
				caption: commonLogic.appcommonhandle("List Main State",null),
				title: commonLogic.appcommonhandle("图书列表视图",null),
			},
			meditview9: {
				caption: commonLogic.appcommonhandle("Multiple Forms (row records)",null),
				title: commonLogic.appcommonhandle("图书多表单编辑视图（多表单）",null),
			},
			usr2treeview: {
				caption: commonLogic.appcommonhandle("Tree View",null),
				title: commonLogic.appcommonhandle("实体树视图",null),
			},
			customview: {
				caption: commonLogic.appcommonhandle("Custom View",null),
				title: commonLogic.appcommonhandle("实体自定义视图",null),
			},
			usr4listview: {
				caption: commonLogic.appcommonhandle("Entity List View",null),
				title: commonLogic.appcommonhandle("实体列表视图",null),
			},
			ganttview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书甘特视图",null),
			},
			usr2dataview: {
				caption: commonLogic.appcommonhandle("Automatic Grouping",null),
				title: commonLogic.appcommonhandle("图书数据视图（自动分组）",null),
			},
			dataview: {
				caption: commonLogic.appcommonhandle("Entity Data View",null),
				title: commonLogic.appcommonhandle("实体数据视图（内置功能）",null),
			},
			usr6dataview: {
				caption: commonLogic.appcommonhandle("Data Main State",null),
				title: commonLogic.appcommonhandle("图书数据视图",null),
			},
			dataviewexpview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书卡片视图导航视图",null),
			},
			newdefaultvaluegridview: {
				caption: commonLogic.appcommonhandle("New Default",null),
				title: commonLogic.appcommonhandle("表格新建默认值",null),
			},
			usr3dataview: {
				caption: commonLogic.appcommonhandle("Code Table Grouping",null),
				title: commonLogic.appcommonhandle("图书数据视图（代码表分组）",null),
			},
			wizardview: {
				caption: commonLogic.appcommonhandle("BasicUsage",null),
				title: commonLogic.appcommonhandle("实体向导视图",null),
			},
			wizardview_layout: {
				caption: commonLogic.appcommonhandle("BasicUsage",null),
				title: commonLogic.appcommonhandle("实体向导视图",null),
			},
			interfunckanbanview: {
				caption: commonLogic.appcommonhandle("Entity Kanban View",null),
				title: commonLogic.appcommonhandle("实体看板视图（内置功能）",null),
			},
			haspanellistview: {
				caption: commonLogic.appcommonhandle("Item Layout Panel",null),
				title: commonLogic.appcommonhandle("图书列表视图（嵌入面板）",null),
			},
			usr10gridview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书表格视图",null),
			},
			calendarview: {
				caption: commonLogic.appcommonhandle("Entity Calendar View",null),
				title: commonLogic.appcommonhandle("实体日历视图（内置功能）",null),
			},
			updatedefaultgridview: {
				caption: commonLogic.appcommonhandle("Update Default",null),
				title: commonLogic.appcommonhandle("表格更新默认值",null),
			},
			listview: {
				caption: commonLogic.appcommonhandle("Built In Features",null),
				title: commonLogic.appcommonhandle("图书列表视图（内置功能）",null),
			},
			ruleseditview: {
				caption: commonLogic.appcommonhandle("Form Value Rule",null),
				title: commonLogic.appcommonhandle("图书编辑视图（值规则）",null),
			},
			usr2editview: {
				caption: commonLogic.appcommonhandle("Data Selection View",null),
				title: commonLogic.appcommonhandle("实体数据选择视图",null),
			},
			usr4listview_layout: {
				caption: commonLogic.appcommonhandle("Entity List View",null),
				title: commonLogic.appcommonhandle("实体列表视图",null),
			},
			usr5dataview: {
				caption: commonLogic.appcommonhandle("Custom Plug In",null),
				title: commonLogic.appcommonhandle("图书数据视图（自定义插件）",null),
			},
			pickuptreeview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书选择树视图",null),
			},
			usr3gridview: {
				caption: commonLogic.appcommonhandle("Code Table Grouping",null),
				title: commonLogic.appcommonhandle("表格代码表分组",null),
			},
			uiactiongridview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书表格视图（界面行为）",null),
			},
			usr4editview: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书编辑视图",null),
			},
			editview3: {
				caption: commonLogic.appcommonhandle("图书",null),
				title: commonLogic.appcommonhandle("图书编辑视图",null),
			},
			usr5gridview: {
				caption: commonLogic.appcommonhandle("Remote Aggregation",null),
				title: commonLogic.appcommonhandle("表格远程聚合",null),
			},
			usr2gridview: {
				caption: commonLogic.appcommonhandle("Automatic Grouping",null),
				title: commonLogic.appcommonhandle("表格自动分组",null),
			},
			groupbycodelistlistview: {
				caption: commonLogic.appcommonhandle("Code Table Grouping",null),
				title: commonLogic.appcommonhandle("图书列表视图（代码表分组）",null),
			},
			usr8gridview: {
				caption: commonLogic.appcommonhandle("Grid Column Reset",null),
				title: commonLogic.appcommonhandle("表格列重置",null),
			},
			customview_layout: {
				caption: commonLogic.appcommonhandle("Custom View",null),
				title: commonLogic.appcommonhandle("实体自定义视图",null),
			},
			usr9gridview: {
				caption: commonLogic.appcommonhandle("Grid Main State",null),
				title: commonLogic.appcommonhandle("图书表格视图（主状态）",null),
			},
			dashboardview_layout: {
				caption: commonLogic.appcommonhandle("Entity Data Kanban View",null),
				title: commonLogic.appcommonhandle("实体数据看板视图",null),
			},
		},
		majorstateform_form: {
			details: {
				grouppanel1: commonLogic.appcommonhandle("基础信息",null), 
				button1: commonLogic.appcommonhandle("打开文档",null), 
				grouppanel2: commonLogic.appcommonhandle("主状态按钮",null), 
				group1: commonLogic.appcommonhandle("表单分组",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("图书标识",null), 
				srfmajortext: commonLogic.appcommonhandle("图书名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizbookname: commonLogic.appcommonhandle("图书名称",null), 
				type: commonLogic.appcommonhandle("图书类型",null), 
				ibizbookid: commonLogic.appcommonhandle("图书标识",null), 
			},
			uiactions: {
			ibizbook_opendocument: commonLogic.appcommonhandle("打开文档",null),
			ibizbook_openkanbandocument: commonLogic.appcommonhandle("打开实体看板文档",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("图书基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				group2: commonLogic.appcommonhandle("操作信息",null), 
				formpage2: commonLogic.appcommonhandle("其它",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("图书标识",null), 
				srfmajortext: commonLogic.appcommonhandle("图书名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizbookid: commonLogic.appcommonhandle("图书标识",null), 
				ibizbookname: commonLogic.appcommonhandle("图书名称",null), 
				author: commonLogic.appcommonhandle("图书作者",null), 
				press: commonLogic.appcommonhandle("图书出版社",null), 
				price: commonLogic.appcommonhandle("图书价格",null), 
				type: commonLogic.appcommonhandle("图书类型",null), 
				booknumber: commonLogic.appcommonhandle("图书数量",null), 
				sailstate: commonLogic.appcommonhandle("图书销售状态",null), 
				lendouttime: commonLogic.appcommonhandle("借出日期",null), 
				returntime: commonLogic.appcommonhandle("归还日期",null), 
				tag: commonLogic.appcommonhandle("标签",null), 
				tag1: commonLogic.appcommonhandle("标签",null), 
				icon: commonLogic.appcommonhandle("图书封面",null), 
				subtext: commonLogic.appcommonhandle("图书描述",null), 
				createman: commonLogic.appcommonhandle("建立人",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updateman: commonLogic.appcommonhandle("更新人",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
			},
			uiactions: {
			},
		},
		interfuncform_2_form: {
			details: {
				group1: commonLogic.appcommonhandle("数据选择视图展示",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("图书标识",null), 
				srfmajortext: commonLogic.appcommonhandle("图书名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizbookid: commonLogic.appcommonhandle("图书标识",null), 
				borrower: commonLogic.appcommonhandle("树单项数据选择",null), 
				borrower1: commonLogic.appcommonhandle("树多项数据选择",null), 
				borrower2: commonLogic.appcommonhandle("表格单项数据选择",null), 
				borrower3: commonLogic.appcommonhandle("表格多项数据选择",null), 
				borrower2_id: commonLogic.appcommonhandle("借阅人2_ID",null), 
				borrowerid: commonLogic.appcommonhandle("借阅人ID",null), 
			},
			uiactions: {
			},
		},
		interfuncform_form: {
			details: {
				group1: commonLogic.appcommonhandle("编辑表单内置功能",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				group2: commonLogic.appcommonhandle("操作信息",null), 
				formpage2: commonLogic.appcommonhandle("其它",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("图书标识",null), 
				srfmajortext: commonLogic.appcommonhandle("图书名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizbookid: commonLogic.appcommonhandle("图书标识",null), 
				ibizbookname: commonLogic.appcommonhandle("图书名称",null), 
				author: commonLogic.appcommonhandle("图书作者",null), 
				press: commonLogic.appcommonhandle("图书出版社",null), 
				price: commonLogic.appcommonhandle("图书价格",null), 
				type: commonLogic.appcommonhandle("图书类型",null), 
				booknumber: commonLogic.appcommonhandle("图书数量",null), 
				icon: commonLogic.appcommonhandle("图标",null), 
				lendouttime: commonLogic.appcommonhandle("借出日期",null), 
				returntime: commonLogic.appcommonhandle("归还日期",null), 
				subtext: commonLogic.appcommonhandle("图书描述",null), 
				createman: commonLogic.appcommonhandle("建立人",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updateman: commonLogic.appcommonhandle("更新人",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
			},
			uiactions: {
			},
		},
		guideviewform_form: {
			details: {
				group1: commonLogic.appcommonhandle("图书基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("图书标识",null), 
				srfmajortext: commonLogic.appcommonhandle("图书名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizbookname: commonLogic.appcommonhandle("图书名称",null), 
				author: commonLogic.appcommonhandle("图书作者",null), 
				booknumber: commonLogic.appcommonhandle("图书数量",null), 
				press: commonLogic.appcommonhandle("图书出版社",null), 
				price: commonLogic.appcommonhandle("图书价格",null), 
				stepstatus: commonLogic.appcommonhandle("步骤",null), 
				ibizbookid: commonLogic.appcommonhandle("图书标识",null), 
			},
			uiactions: {
			},
		},
		guideborrowform_form: {
			details: {
				grouppanel1: commonLogic.appcommonhandle("借阅基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("图书标识",null), 
				srfmajortext: commonLogic.appcommonhandle("图书名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				stepstatus: commonLogic.appcommonhandle("步骤",null), 
				ibizbookid: commonLogic.appcommonhandle("图书标识",null), 
				borrower: commonLogic.appcommonhandle("借阅人",null), 
				borrowway: commonLogic.appcommonhandle("借阅方式",null), 
				lendouttime: commonLogic.appcommonhandle("借出日期",null), 
			},
			uiactions: {
			},
		},
		guidereturnform_form: {
			details: {
				grouppanel1: commonLogic.appcommonhandle("归还基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("图书标识",null), 
				srfmajortext: commonLogic.appcommonhandle("图书名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizbookid: commonLogic.appcommonhandle("图书标识",null), 
				stepstatus: commonLogic.appcommonhandle("步骤",null), 
				returnlib: commonLogic.appcommonhandle("归还图馆",null), 
				returntime: commonLogic.appcommonhandle("归还日期",null), 
			},
			uiactions: {
			},
		},
		rulesform_form: {
			details: {
				group1: commonLogic.appcommonhandle("系统值规则",null), 
				grouppanel1: commonLogic.appcommonhandle("属性值规则",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("图书标识",null), 
				srfmajortext: commonLogic.appcommonhandle("图书名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizbookname: commonLogic.appcommonhandle("非空",null), 
				author: commonLogic.appcommonhandle("包含大写字母",null), 
				ibizbookid: commonLogic.appcommonhandle("图书标识",null), 
				price: commonLogic.appcommonhandle("数值范围",null), 
				type: commonLogic.appcommonhandle("字符长度",null), 
				press: commonLogic.appcommonhandle("右包含",null), 
				lendouttime: commonLogic.appcommonhandle("大于当前时间",null), 
				returntime: commonLogic.appcommonhandle("规则组",null), 
			},
			uiactions: {
			},
		},
		main_2_form: {
			details: {
				druipart1: commonLogic.appcommonhandle("",null), 
				group1: commonLogic.appcommonhandle("图书基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("图书标识",null), 
				srfmajortext: commonLogic.appcommonhandle("图书名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizbookid: commonLogic.appcommonhandle("图书标识",null), 
				ibizbookname: commonLogic.appcommonhandle("图书名称",null), 
				author: commonLogic.appcommonhandle("图书作者",null), 
				press: commonLogic.appcommonhandle("图书出版社",null), 
				price: commonLogic.appcommonhandle("图书价格",null), 
				type: commonLogic.appcommonhandle("图书类型",null), 
				booknumber: commonLogic.appcommonhandle("图书数量",null), 
				sailstate: commonLogic.appcommonhandle("图书销售状态",null), 
				lendouttime: commonLogic.appcommonhandle("借出日期",null), 
				returntime: commonLogic.appcommonhandle("归还日期",null), 
				tag: commonLogic.appcommonhandle("标签",null), 
			},
			uiactions: {
			},
		},
		internalfunc_grid: {
			columns: {
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				type: commonLogic.appcommonhandle("图书类型",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
				uagridcolumn1: commonLogic.appcommonhandle("操作",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			edit: commonLogic.appcommonhandle("Edit",null),
			remove: commonLogic.appcommonhandle("Remove",null),
			},
		},
		gridexpbar_grid_grid: {
			columns: {
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		main6_grid: {
			columns: {
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				type: commonLogic.appcommonhandle("图书类型",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
				booknumber: commonLogic.appcommonhandle("图书数量",null),
				lendouttime: commonLogic.appcommonhandle("借出日期",null),
				returntime: commonLogic.appcommonhandle("归还日期",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		internalfunc_2_grid: {
			columns: {
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				type: commonLogic.appcommonhandle("图书类型",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
				uagridcolumn1: commonLogic.appcommonhandle("操作",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			edit: commonLogic.appcommonhandle("Edit",null),
			remove: commonLogic.appcommonhandle("Remove",null),
			},
		},
		rowrules_grid: {
			columns: {
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				type: commonLogic.appcommonhandle("图书类型",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
				booknumber: commonLogic.appcommonhandle("图书数量",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		exporandimportgrid_grid: {
			columns: {
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				type: commonLogic.appcommonhandle("图书类型",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
				subtext: commonLogic.appcommonhandle("图书描述",null),
				booknumber: commonLogic.appcommonhandle("图书数量",null),
				tag: commonLogic.appcommonhandle("标签",null),
				borrowway: commonLogic.appcommonhandle("借阅方式",null),
				sailstate: commonLogic.appcommonhandle("图书销售状态",null),
				lendouttime: commonLogic.appcommonhandle("借出日期",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		uiactiongrid_grid: {
			columns: {
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				type: commonLogic.appcommonhandle("图书类型",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
				uagridcolumn1: commonLogic.appcommonhandle("操作",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			edit: commonLogic.appcommonhandle("Edit",null),
			remove: commonLogic.appcommonhandle("Remove",null),
			},
		},
		newdefault_grid: {
			columns: {
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				type: commonLogic.appcommonhandle("图书类型",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		main3_grid: {
			columns: {
				type: commonLogic.appcommonhandle("图书类型",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		updatedefault_grid: {
			columns: {
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				type: commonLogic.appcommonhandle("图书类型",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				updateman: commonLogic.appcommonhandle("更新人",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		main2_grid: {
			columns: {
				type: commonLogic.appcommonhandle("图书类型",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		main5_grid: {
			columns: {
				type: commonLogic.appcommonhandle("图书类型",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				booknumber: commonLogic.appcommonhandle("图书数量",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		rowedit_grid: {
			columns: {
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				type: commonLogic.appcommonhandle("图书类型",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
				booknumber: commonLogic.appcommonhandle("图书数量",null),
				lendouttime: commonLogic.appcommonhandle("借出日期",null),
				returntime: commonLogic.appcommonhandle("归还日期",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		main7_grid: {
			columns: {
				author: commonLogic.appcommonhandle("图书作者",null),
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				type: commonLogic.appcommonhandle("图书类型",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
				price: commonLogic.appcommonhandle("图书价格",null),
				uagridcolumn1: commonLogic.appcommonhandle("操作",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			ibizbook_edit: commonLogic.appcommonhandle("编辑",null),
			ibizbook_delete: commonLogic.appcommonhandle("删除",null),
			},
		},
		main4_grid: {
			columns: {
				type: commonLogic.appcommonhandle("图书类型",null),
				author: commonLogic.appcommonhandle("图书作者",null),
				ibizbookname: commonLogic.appcommonhandle("图书名称",null),
				booknumber: commonLogic.appcommonhandle("图书数量",null),
				press: commonLogic.appcommonhandle("图书出版社",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		booklist_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		usr_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			edit: commonLogic.appcommonhandle("Edit",null),
			remove: commonLogic.appcommonhandle("Remove",null),
			},
		},
		autogrouplist_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			edit: commonLogic.appcommonhandle("Edit",null),
			remove: commonLogic.appcommonhandle("Remove",null),
			},
		},
		majorstatelist_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			ibizbook_edit: commonLogic.appcommonhandle("编辑",null),
			ibizbook_delete: commonLogic.appcommonhandle("删除",null),
			},
		},
		groupbycodelistlist_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		haspanellist_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		lnternalfunclist_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			new: commonLogic.appcommonhandle("New",null),
			edit: commonLogic.appcommonhandle("Edit",null),
			remove: commonLogic.appcommonhandle("Remove",null),
			},
		},
		usr4_dataview: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		usr2_dataview: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			edit: commonLogic.appcommonhandle("Edit",null),
			remove: commonLogic.appcommonhandle("Remove",null),
			},
		},
		majorstatedata_dataview: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			ibizbook_edit: commonLogic.appcommonhandle("编辑",null),
			ibizbook_delete: commonLogic.appcommonhandle("删除",null),
			},
		},
		usr3_dataview: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		usr_dataview: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			new: commonLogic.appcommonhandle("New",null),
			edit: commonLogic.appcommonhandle("Edit",null),
			remove: commonLogic.appcommonhandle("Remove",null),
			},
		},
		usr5_dataview: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			edit: commonLogic.appcommonhandle("Edit",null),
			remove: commonLogic.appcommonhandle("Remove",null),
			},
		},
		haspanelkanban_kanban: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		groupbycodelistkanban_kanban: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		interfunckanban_kanban: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			ibizbook_openkanbandocument: commonLogic.appcommonhandle("打开实体看板文档",null),
			},
		},
		usr_gantt: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		treetable_treegridex: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		quicksearchform_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("表单分页",null), 
				n_ibizbookname_like: commonLogic.appcommonhandle("图书名称(%)",null), 
			},
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_ibizbookname_like: commonLogic.appcommonhandle("图书名称(%)",null), 
				n_price_gtandeq: commonLogic.appcommonhandle("图书价格(>=)",null), 
			},
			uiactions: {
			},
		},
		usr3editviewtoolbar_toolbar: {
		},
		internalfuncgridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
		},
		haspanelkanbanviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
		},
		testcldataviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
		},
		usr6gridview_layouttoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		usr7gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		usr10gridviewtoolbar_toolbar: {
		},
		usr4dataviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
		},
		editview4toolbar_toolbar: {
		},
		usr2calendarviewcalendar_batchtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
		},
		usr2listviewtoolbar_toolbar: {
		},
		usr2editview_layouttoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
		},
		valuerulesgridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		interfunceditviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
		},
		autogrouplistviewtoolbar_toolbar: {
		},
		exportandimportgridviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
		},
		uiactiongridviewtoolbar_toolbar: {
			deuiaction5: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			deuiaction6: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
			seperator2: {
				caption: commonLogic.appcommonhandle("",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			deuiaction4: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("保存行",null),
				tip: commonLogic.appcommonhandle("保存行",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			seperator1: {
				caption: commonLogic.appcommonhandle("",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			deuiaction7: {
				caption: commonLogic.appcommonhandle("前台调用",null),
				tip: commonLogic.appcommonhandle("前台调用",null),
			},
		},
		newdefaultvaluegridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		usr3gridviewtoolbar_toolbar: {
		},
		updatedefaultgridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		treegridexviewtoolbar_toolbar: {
		},
		customview_layouttoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("加载",null),
				tip: commonLogic.appcommonhandle("加载",null),
			},
		},
		groupbycodelistkanbanviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
		},
		testclcalendarviewcalendar_quicktoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
		},
		editview2toolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
		},
		dataviewexpviewdataviewexpbar_dataview_batchtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
		},
		usr3listviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			deuiaction4: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
		},
		usr6dataviewtoolbar_toolbar: {
		},
		usr2editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
		},
		groupbycodelistlistviewtoolbar_toolbar: {
		},
		haspanellistviewtoolbar_toolbar: {
		},
		calendarviewcalendar_quicktoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
		},
		calendarviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
		},
		usr8gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		interfunckanbanviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
		},
		usr2dataviewtoolbar_toolbar: {
		},
		usr2dataviewdataview_batchtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
		},
		usr3dataviewtoolbar_toolbar: {
		},
		usr4listview_layouttoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			deuiaction4: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
		},
		usr4listview_layoutlist_quicktoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
		},
		usr4listview_layoutlist_batchtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
		},
		usr2gridviewtoolbar_toolbar: {
		},
		usr4editviewtoolbar_toolbar: {
		},
		usr5gridviewtoolbar_toolbar: {
		},
		roweditgridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("行编辑",null),
				tip: commonLogic.appcommonhandle("行编辑",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("新建行",null),
				tip: commonLogic.appcommonhandle("新建行",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		listviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			deuiaction4: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
		},
		listviewlist_quicktoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
		},
		listviewlist_batchtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
		},
		usr9gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		usr4listviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			deuiaction4: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
		},
		usr4listviewlist_quicktoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
		},
		usr4listviewlist_batchtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
		},
		interfunceditview_layouttoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
		},
		editview3toolbar_toolbar: {
		},
		usr6gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		usr4gridviewtoolbar_toolbar: {
		},
		dataviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
		},
		dataviewdataview_quicktoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
		},
		dataviewdataview_batchtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
		},
		testcllistviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
		},
		testcllistviewlist_quicktoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
		},
		testcllistviewlist_batchtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
		},
		interfunckanbanview_layouttoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
		},
		usr5dataviewtoolbar_toolbar: {
		},
		treemajorstate_treeview: {
			nodata:commonLogic.appcommonhandle("",null),
			nodes: {
				book: commonLogic.appcommonhandle("图书",null),
				root: commonLogic.appcommonhandle("默认根节点",null),
			},
			uiactions: {
			ibizbook_edit: commonLogic.appcommonhandle("编辑",null),
			ibizbook_delete: commonLogic.appcommonhandle("删除",null),
			ibizbook_opendocument: commonLogic.appcommonhandle("打开文档",null),
			},
		},
		tree_treeview: {
			nodata:commonLogic.appcommonhandle("",null),
			nodes: {
			},
			uiactions: {
			},
		},
		treeview_treeview: {
			nodata:commonLogic.appcommonhandle("",null),
			nodes: {
				book: commonLogic.appcommonhandle("图书",null),
				root: commonLogic.appcommonhandle("默认根节点",null),
			},
			uiactions: {
			},
		},
		booktypeselect_treeview: {
			nodata:commonLogic.appcommonhandle("",null),
			nodes: {
				ibizbooktype: commonLogic.appcommonhandle("图书类型",null),
				root: commonLogic.appcommonhandle("默认根节点",null),
			},
			uiactions: {
			},
		},
		ibizbooktimeline_calendar: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			save: commonLogic.appcommonhandle("Save",null),
			edit: commonLogic.appcommonhandle("Edit",null),
			refresh: commonLogic.appcommonhandle("刷新",null),
			},
		},
		ibizbookpanel_calendar: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			save: commonLogic.appcommonhandle("Save",null),
			edit: commonLogic.appcommonhandle("Edit",null),
			refresh: commonLogic.appcommonhandle("刷新",null),
			},
		},
		customcalendar_calendar: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		ibizbookmonth_calendar: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			save: commonLogic.appcommonhandle("Save",null),
			edit: commonLogic.appcommonhandle("Edit",null),
			refresh: commonLogic.appcommonhandle("刷新",null),
			},
		},
		bookcalendarmajorstate_calendar: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			ibizbook_edit: commonLogic.appcommonhandle("编辑",null),
			ibizbook_delete: commonLogic.appcommonhandle("删除",null),
			ibizbook_opendocument: commonLogic.appcommonhandle("打开文档",null),
			},
		},
	};
	return data;
}

export default getLocaleResourceBase;